### Signal

# Gtk PrintOperation::paginate

since: 4.0

#### Declaration

    gboolean
    paginate (
      GtkPrintOperation* self,
      GtkPrintContext* context,
      gpointer user_data
    )

#### Description [src]

Emitted after the ::begin-print signal, but before the actual rendering starts.

It keeps getting emitted until a connected signal handler returns `TRUE`.

The ::paginate signal is intended to be used for paginating a document in small chunks, to avoid blocking the user interface for a long time. The signal handler should update the number of pages using `gtk_print_operation_set_n_pages()`, and return `TRUE` if the document has been completely paginated.

If you don’t need to do pagination in chunks, you can simply do it all in the ::begin-print handler, and set the number of pages from there.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 4.0

#### Parameters

`context`

  Type: `GtkPrintContext`

  The `GtkPrintContext` for the current operation.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if pagination is complete.